org.fourthline.cling.support.contentdirectory

## Class DIDLParser.DIDLObjectHandler<I extends DIDLObject>

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.seamless.xml.SAXParser.Handler<I>
    - - org.fourthline.cling.support.contentdirectory.DIDLParser.DIDLObjectHandler<I>

- All Implemented Interfaces:
    ContentHandler, DTDHandler, EntityResolver, ErrorHandler
  Direct Known Subclasses:
    DIDLParser.ContainerHandler, DIDLParser.ItemHandler
  Enclosing class:
    DIDLParser

      public abstract class DIDLParser.DIDLObjectHandler<I extends DIDLObject>
      extends org.seamless.xml.SAXParser.Handler<I>

- - ### Field Summary

    - ### Fields inherited from class org.seamless.xml.SAXParser.Handler

      `attributes, characters, instance, parent, parser`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DIDLObjectHandler(I instance, org.seamless.xml.SAXParser.Handler parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endElement(String uri, String localName, String qName)`

    - ### Methods inherited from class org.seamless.xml.SAXParser.Handler

      `characters, getAttributes, getCharacters, getInstance, getParent, getParser, isLastElement, startElement, switchToParent`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DIDLObjectHandler

          protected DIDLObjectHandler(I instance,
                                      org.seamless.xml.SAXParser.Handler parent)

  - ### Method Detail

    - #### endElement

          public void endElement(String uri,
                                 String localName,
                                 String qName)
                          throws SAXException

      Specified by:
        `endElement` in interface `ContentHandler`
      Overrides:
        `endElement` in class `org.seamless.xml.SAXParser.Handler<I extends DIDLObject>`
      Throws:
        `SAXException`

Copyright © 2015 4th Line GmbH, Switzerland. All rights reserved.